local loCustomers as CursorAdapter, ;
	laErrors[1]
loCustomers = createobject('CursorAdapter')
with loCustomers
	.Alias                   = 'Customers'
	.CursorSchema            = 'CUSTOMERID C(5), COMPANYNAME C(40), ' + ;
		'CONTACTNAME C(30), CONTACTTITLE C(30), ADDRESS C(60), ' + ;
		'CITY C(15), REGION C(15), POSTALCODE C(10), COUNTRY C(15), ' + ;
		'PHONE C(24), FAX C(24)'
	.DataSourceType          = 'XML'
	.KeyFieldList            = 'CUSTOMERID'
	.SelectCmd               = 'GetNWCustomers([ALFKI])'
	.Tables                  = 'CUSTOMERS'
	.UpdatableFieldList      = 'CUSTOMERID, COMPANYNAME, CONTACTNAME, ' + ;
		'CONTACTTITLE, ADDRESS, CITY, REGION, POSTALCODE, COUNTRY, PHONE, FAX'
	.UpdateCmdDataSourceType = 'XML'
	.UpdateCmd               = 'SendNWXML(This.DiffGram)'
	.UpdateNameList          = 'CUSTOMERID CUSTOMERS.CUSTOMERID, ' + ;
		'COMPANYNAME CUSTOMERS.COMPANYNAME, ' + ;
		'CONTACTNAME CUSTOMERS.CONTACTNAME, ' + ;
		'CONTACTTITLE CUSTOMERS.CONTACTTITLE, ' + ;
		'ADDRESS CUSTOMERS.ADDRESS, ' + ;
		'CITY CUSTOMERS.CITY, ' + ;
		'REGION CUSTOMERS.REGION, ' + ;
		'POSTALCODE CUSTOMERS.POSTALCODE, ' + ;
		'COUNTRY CUSTOMERS.COUNTRY, ' + ;
		'PHONE CUSTOMERS.PHONE, ' + ;
		'FAX CUSTOMERS.FAX'
	if .CursorFill(.T.)
		browse
	else
		aerror(laErrors)
		messagebox(laErrors[2])
	endif .CursorFill(.T.)
endwith
